Click or drag to resize

AngularDimensionCreate Method (Guid, Plane, Point3d, Point3d, Point3d, Point3d, Point3d)

Initialize Dimension parameters

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static AngularDimension Create(
	Guid styleId,
	Plane plane,
	Point3d extpoint1,
	Point3d extpoint2,
	Point3d dirpoint1,
	Point3d dirpoint2,
	Point3d dimlinepoint
)

Parameters

styleId
Type: SystemGuid
Dimension's AnnotationStyle
plane
Type: Rhino.GeometryPlane
Dimension's plane
extpoint1
Type: Rhino.GeometryPoint3d
First dimension point
extpoint2
Type: Rhino.GeometryPoint3d
Second definition point
dirpoint1
Type: Rhino.GeometryPoint3d
First direction point
dirpoint2
Type: Rhino.GeometryPoint3d
Second direction point
dimlinepoint
Type: Rhino.GeometryPoint3d
Point on dimension line

Return Value

Type: AngularDimension

[Missing <returns> documentation for "M:Rhino.Geometry.AngularDimension.Create(System.Guid,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

See Also